package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkAxStoreQueryRequest struct {
	/*
	   查询入参     */
	QueryRequest *domain.AlibabaWdkAxStoreQueryAxStoreQueryRequest `json:"query_request" required:"true" `
}

func (s *AlibabaWdkAxStoreQueryRequest) SetQueryRequest(v domain.AlibabaWdkAxStoreQueryAxStoreQueryRequest) *AlibabaWdkAxStoreQueryRequest {
	s.QueryRequest = &v
	return s
}

func (req *AlibabaWdkAxStoreQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.QueryRequest != nil {
		paramMap["query_request"] = util.ConvertStruct(*req.QueryRequest)
	}
	return paramMap
}

func (req *AlibabaWdkAxStoreQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
